%define aurox_ver 9.4
%define rel 4

Summary: Support for Italian interface in Mozilla
Name: mozilla-i18n-Italian
Version: 1.6
Release: %{aurox_ver}.aur.%{rel}
License: MPL
URL: http://nave.escomposlinux.org/
Source: http://ftp.mozilla.org/pub/mozilla/l10n/lang/moz%{version}/langitit.xpi
#Source1: mozilla-i18n-fix.sh
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: mozilla >= %{version}
BuildPreReq: unzip

%description
Italian translation of the Mozilla interface

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}
dos2unix install.js

%build
mylocale=it-IT
mylang=it
grep 'registerChrome(' install.js | grep 'localeName' | grep -v platform | grep -v mapi | awk '{print $5}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/it-IT.jar!/locale/it-IT/",$1,"/"}' | grep -v '//$' > lang-$mylocale.jar.txt

grep 'registerChrome(' install.js | grep 'regionName' | grep -v platform | grep -v mapi | awk '{print $5}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/IT.jar!/locale/IT/",$1,"/"}' | grep -v '//$' >> lang-$mylocale.jar.txt

grep 'registerChrome(' install.js | grep platform | awk '{print $5}' | sed 's/"//g;s#/);##g' | sort --unique | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/it-unix.jar!/locale/it-IT/",$1,"/"}' | grep -v '//$' > lang-$mylang-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
mycountry=IT
mylocale=it-IT
mylang=it
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
cp -f bin/chrome/$mylocale.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylocale.jar
cp -f bin/chrome/$mycountry.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mycountry.jar
# Italian uses unix/chrome:
cp -f unix/chrome/$mylang-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylang-unix.jar
cp -f lang-$mylocale.jar.txt lang-$mylang-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
mkdir -p $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/components/
cp -rf spellchecker/myspell $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/components/

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files
%defattr(0644,root,root)
/usr/lib/mozilla-%{version}/chrome/*.jar
/usr/lib/mozilla-%{version}/chrome/lang/*.txt
/usr/lib/mozilla-%{version}/components/myspell/*

%changelog
* Wed May 05 2004 Aurox Team <aurox@aurox.org> 0:1.6-9.4.aur.4
- strop dos line ends from install.js
- install region data
- add myspell dictionary
- fix permission of installed files
- initial import

